Skip to main content
POST
/
v1
/
api
/
update_secret_value
/
curl -X POST https://api.hookpulse.io/v1/api/update_secret_value/ \
  -H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
  -H "x-brand-uuid: {{x-brand-uuid}}" \
  -H "Content-Type: application/json" \
  -d '{
    "secret_uuid": "{{secret_uuid}}",
    "secret_updated_value": "{{secret_updated_value}}"
  }'
const response = await fetch('https://api.hookpulse.io/v1/api/update_secret_value/', {
  method: 'POST',
  headers: {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    secret_uuid: '{{secret_uuid}}',
    secret_updated_value: '{{secret_updated_value}}'
  })
});

const data = await response.json();
console.log(data);
import requests

url = 'https://api.hookpulse.io/v1/api/update_secret_value/'
headers = {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
}
payload = {
    'secret_uuid': '{{secret_uuid}}',
    'secret_updated_value': '{{secret_updated_value}}'
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.hookpulse.io/v1/api/update_secret_value/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
  secret_uuid: '{{secret_uuid}}',
  secret_updated_value: '{{secret_updated_value}}'
}.to_json

response = http.request(request)
puts JSON.parse(response.body)
<?php

$url = 'https://api.hookpulse.io/v1/api/update_secret_value/';
$data = [
    'secret_uuid' => '{{secret_uuid}}',
    'secret_updated_value' => '{{secret_updated_value}}'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
    'x-brand-uuid: {{x-brand-uuid}}',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
{
  "success": true,
  "details": "Value updated"
}
Update the value of an existing system secret in the vault.

Base URL

All API requests should be made to:
https://api.hookpulse.io

Example request

curl -X POST https://api.hookpulse.io/v1/api/update_secret_value/ \
  -H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
  -H "x-brand-uuid: {{x-brand-uuid}}" \
  -H "Content-Type: application/json" \
  -d '{
    "secret_uuid": "{{secret_uuid}}",
    "secret_updated_value": "{{secret_updated_value}}"
  }'
const response = await fetch('https://api.hookpulse.io/v1/api/update_secret_value/', {
  method: 'POST',
  headers: {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    secret_uuid: '{{secret_uuid}}',
    secret_updated_value: '{{secret_updated_value}}'
  })
});

const data = await response.json();
console.log(data);
import requests

url = 'https://api.hookpulse.io/v1/api/update_secret_value/'
headers = {
    'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
    'x-brand-uuid': '{{x-brand-uuid}}',
    'Content-Type': 'application/json'
}
payload = {
    'secret_uuid': '{{secret_uuid}}',
    'secret_updated_value': '{{secret_updated_value}}'
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://api.hookpulse.io/v1/api/update_secret_value/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
  secret_uuid: '{{secret_uuid}}',
  secret_updated_value: '{{secret_updated_value}}'
}.to_json

response = http.request(request)
puts JSON.parse(response.body)
<?php

$url = 'https://api.hookpulse.io/v1/api/update_secret_value/';
$data = [
    'secret_uuid' => '{{secret_uuid}}',
    'secret_updated_value' => '{{secret_updated_value}}'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
    'x-brand-uuid: {{x-brand-uuid}}',
    'Content-Type: application/json'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>

Request body

FieldTypeRequiredDescription
secret_uuidstringYesUUID of the secret to update
secret_updated_valuestringYesNew value for the secret

Example response

{
  "success": true,
  "details": "Value updated"
}

Response fields

FieldTypeDescription
successbooleanIndicates if the request was successful
detailsstringSuccess message

Authorizations

x-hookpulse-api-key
string
header
required

API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.

x-brand-uuid
string
header
required

Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.

Body

application/json

Secret update configuration

secret_uuid
string
required

UUID of the secret to update

secret_updated_value
string
required

New value for the secret

Response

Secret value updated successfully

success
boolean

Indicates if the request was successful

details
string

Success message